Jump to content
Sign in to follow this  
stacker_liew

OpenJDK Version Support In Delphi 10.3.3 And Delphi 10.4.2

Recommended Posts

Posted (edited)

I have used 64bit of OpenJDK 17.0.28 in Delphi 11.1, it can compile 64bit apk and aab without any problem, but when I tried with Delphi 10.3.3 and Delphi 10.4.2, it ends up with "could not create the Java Virtual Machine".

 

I wonder whether is the version of jdk doesn't supported these two version of IDE? And what version of OpenJDK does these two IDE supported?

 

I'm using Windows 11

Edited by stacker_liew

Share this post


Link to post

The version I have installed is jdk-8.0.242.08-hotspot, which is the one that come together with the RadStudio iinstaller.

I've never tried to update to a newer version than the one bundeld and approved with the IDE, maybe it makes sense to check with this older version.

Share this post


Link to post

Now I'm using this one also, but the result still the same, Delphi 11.1 no problem, Delphi 10.4.2 and Delphi 10.3.3 both can't compile android apk.

Share this post


Link to post

But now I manage to build 32bit apk in Delphi 10.4.2 but 64 bit with result [DCC Error] E2597 C:\\Users\\Public\\Documents\\Embarcadero\\Studio\\21.0\\CatalogRepository\\AndroidNDK-21-21.0.40680.4203\\android-ndk-r21\\platforms\\android-23\\arch-arm\\usr\\lib\\crtbegin_so.o: error adding symbols: File in wrong format

 

Delphi 10.3.3, OK now

Share this post


Link to post

Finally I manage to resolve this problem by delete all entries from Tools->Options->Deployment->SDK Manager for both 32 bit and 64 bit platforms and added them in orderly.

  • Like 1

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×